package p000a.p019g.p030l;

import android.os.Build;
import android.os.Bundle;
import android.text.style.ClickableSpan;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import java.lang.ref.WeakReference;
import java.util.Collections;
import java.util.List;
import p000a.p019g.C0120b;
import p000a.p019g.p030l.p031b0.C0205c;
import p000a.p019g.p030l.p031b0.C0209d;

/* renamed from: a.g.l.a */
public class C0197a {

    /* renamed from: c */
    private static final View.AccessibilityDelegate f1146c = new View.AccessibilityDelegate();

    /* renamed from: a */
    private final View.AccessibilityDelegate f1147a;

    /* renamed from: b */
    private final View.AccessibilityDelegate f1148b;

    /* renamed from: a.g.l.a$a */
    final class C0198a extends View.AccessibilityDelegate {

        /* renamed from: a */
        final C0197a f1149a;

        C0198a(C0197a aVar) {
            this.f1149a = aVar;
        }

        public boolean dispatchPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            return this.f1149a.mo871a(view, accessibilityEvent);
        }

        public AccessibilityNodeProvider getAccessibilityNodeProvider(View view) {
            C0209d b = this.f1149a.mo872b(view);
            if (b != null) {
                return (AccessibilityNodeProvider) b.mo974d();
            }
            return null;
        }

        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f1149a.mo874f(view, accessibilityEvent);
        }

        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfo accessibilityNodeInfo) {
            C0205c s0 = C0205c.m979s0(accessibilityNodeInfo);
            s0.mo951l0(C0239s.m1121M(view));
            s0.mo941f0(C0239s.m1116H(view));
            s0.mo946i0(C0239s.m1155k(view));
            this.f1149a.mo875g(view, s0);
            s0.mo938e(accessibilityNodeInfo.getText(), view);
            List c = C0197a.m934c(view);
            int i = 0;
            while (true) {
                int i2 = i;
                if (i2 < c.size()) {
                    s0.mo933b((C0205c.C0206a) c.get(i2));
                    i = i2 + 1;
                } else {
                    return;
                }
            }
        }

        public void onPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f1149a.mo876h(view, accessibilityEvent);
        }

        public boolean onRequestSendAccessibilityEvent(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            return this.f1149a.mo877i(viewGroup, view, accessibilityEvent);
        }

        public boolean performAccessibilityAction(View view, int i, Bundle bundle) {
            return this.f1149a.mo878j(view, i, bundle);
        }

        public void sendAccessibilityEvent(View view, int i) {
            this.f1149a.mo879l(view, i);
        }

        public void sendAccessibilityEventUnchecked(View view, AccessibilityEvent accessibilityEvent) {
            this.f1149a.mo880m(view, accessibilityEvent);
        }
    }

    public C0197a() {
        this(f1146c);
    }

    public C0197a(View.AccessibilityDelegate accessibilityDelegate) {
        this.f1147a = accessibilityDelegate;
        this.f1148b = new C0198a(this);
    }

    /* renamed from: c */
    static List m934c(View view) {
        List list = (List) view.getTag(C0120b.f962b);
        return list == null ? Collections.emptyList() : list;
    }

    /* renamed from: e */
    private boolean m935e(ClickableSpan clickableSpan, View view) {
        if (clickableSpan == null) {
            return false;
        }
        ClickableSpan[] o = C0205c.m977o(view.createAccessibilityNodeInfo().getText());
        int i = 0;
        while (o != null && i < o.length) {
            if (clickableSpan.equals(o[i])) {
                return true;
            }
            i++;
        }
        return false;
    }

    /* renamed from: k */
    private boolean m936k(int i, View view) {
        WeakReference weakReference;
        SparseArray sparseArray = (SparseArray) view.getTag(C0120b.f963c);
        if (!(sparseArray == null || (weakReference = (WeakReference) sparseArray.get(i)) == null)) {
            ClickableSpan clickableSpan = (ClickableSpan) weakReference.get();
            if (m935e(clickableSpan, view)) {
                clickableSpan.onClick(view);
                return true;
            }
        }
        return false;
    }

    /* renamed from: a */
    public boolean mo871a(View view, AccessibilityEvent accessibilityEvent) {
        return this.f1147a.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    /* renamed from: b */
    public C0209d mo872b(View view) {
        AccessibilityNodeProvider accessibilityNodeProvider;
        if (Build.VERSION.SDK_INT < 16 || (accessibilityNodeProvider = this.f1147a.getAccessibilityNodeProvider(view)) == null) {
            return null;
        }
        return new C0209d(accessibilityNodeProvider);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: d */
    public View.AccessibilityDelegate mo873d() {
        return this.f1148b;
    }

    /* renamed from: f */
    public void mo874f(View view, AccessibilityEvent accessibilityEvent) {
        this.f1147a.onInitializeAccessibilityEvent(view, accessibilityEvent);
    }

    /* renamed from: g */
    public void mo875g(View view, C0205c cVar) {
        this.f1147a.onInitializeAccessibilityNodeInfo(view, cVar.mo961r0());
    }

    /* renamed from: h */
    public void mo876h(View view, AccessibilityEvent accessibilityEvent) {
        this.f1147a.onPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    /* renamed from: i */
    public boolean mo877i(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
        return this.f1147a.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
    }

    /* renamed from: j */
    public boolean mo878j(View view, int i, Bundle bundle) {
        boolean z;
        List c = m934c(view);
        int i2 = 0;
        while (true) {
            if (i2 >= c.size()) {
                z = false;
                break;
            }
            C0205c.C0206a aVar = (C0205c.C0206a) c.get(i2);
            if (aVar.mo969b() == i) {
                z = aVar.mo970c(view, bundle);
                break;
            }
            i2++;
        }
        if (!z && Build.VERSION.SDK_INT >= 16) {
            z = this.f1147a.performAccessibilityAction(view, i, bundle);
        }
        return (z || i != C0120b.f961a) ? z : m936k(bundle.getInt("ACCESSIBILITY_CLICKABLE_SPAN_ID", -1), view);
    }

    /* renamed from: l */
    public void mo879l(View view, int i) {
        this.f1147a.sendAccessibilityEvent(view, i);
    }

    /* renamed from: m */
    public void mo880m(View view, AccessibilityEvent accessibilityEvent) {
        this.f1147a.sendAccessibilityEventUnchecked(view, accessibilityEvent);
    }
}
