package p000a.p045n.p046a.p047a;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.util.AttributeSet;
import android.view.InflateException;
import android.view.animation.Interpolator;
import org.xmlpull.v1.XmlPullParser;
import p000a.p019g.p020d.p021c.C0138g;
import p000a.p019g.p022e.C0140b;

/* renamed from: a.n.a.a.f */
public class C0376f implements Interpolator {

    /* renamed from: a */
    private float[] f1503a;

    /* renamed from: b */
    private float[] f1504b;

    public C0376f(Context context, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        this(context.getResources(), context.getTheme(), attributeSet, xmlPullParser);
    }

    public C0376f(Resources resources, Resources.Theme theme, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        TypedArray k = C0138g.m745k(resources, theme, attributeSet, C0367a.f1489l);
        m1702d(k, xmlPullParser);
        k.recycle();
    }

    /* renamed from: a */
    private void m1699a(float f, float f2, float f3, float f4) {
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        path.cubicTo(f, f2, f3, f4, 1.0f, 1.0f);
        m1700b(path);
    }

    /* renamed from: b */
    private void m1700b(Path path) {
        PathMeasure pathMeasure = new PathMeasure(path, false);
        float length = pathMeasure.getLength();
        int min = Math.min(3000, ((int) (length / 0.002f)) + 1);
        if (min > 0) {
            this.f1503a = new float[min];
            this.f1504b = new float[min];
            float[] fArr = new float[2];
            for (int i = 0; i < min; i++) {
                pathMeasure.getPosTan((((float) i) * length) / ((float) (min - 1)), fArr, (float[]) null);
                this.f1503a[i] = fArr[0];
                this.f1504b[i] = fArr[1];
            }
            if (((double) Math.abs(this.f1503a[0])) <= 1.0E-5d && ((double) Math.abs(this.f1504b[0])) <= 1.0E-5d) {
                int i2 = min - 1;
                if (((double) Math.abs(this.f1503a[i2] - 1.0f)) <= 1.0E-5d && ((double) Math.abs(this.f1504b[i2] - 1.0f)) <= 1.0E-5d) {
                    float f = 0.0f;
                    int i3 = 0;
                    int i4 = 0;
                    while (i4 < min) {
                        float[] fArr2 = this.f1503a;
                        int i5 = i3 + 1;
                        float f2 = fArr2[i3];
                        if (f2 >= f) {
                            fArr2[i4] = f2;
                            i4++;
                            i3 = i5;
                            f = f2;
                        } else {
                            throw new IllegalArgumentException("The Path cannot loop back on itself, x :" + f2);
                        }
                    }
                    if (pathMeasure.nextContour()) {
                        throw new IllegalArgumentException("The Path should be continuous, can't have 2+ contours");
                    }
                    return;
                }
            }
            StringBuilder sb = new StringBuilder();
            sb.append("The Path must start at (0,0) and end at (1,1) start: ");
            sb.append(this.f1503a[0]);
            sb.append(",");
            sb.append(this.f1504b[0]);
            sb.append(" end:");
            int i6 = min - 1;
            sb.append(this.f1503a[i6]);
            sb.append(",");
            sb.append(this.f1504b[i6]);
            throw new IllegalArgumentException(sb.toString());
        }
        throw new IllegalArgumentException("The Path has a invalid length " + length);
    }

    /* renamed from: c */
    private void m1701c(float f, float f2) {
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        path.quadTo(f, f2, 1.0f, 1.0f);
        m1700b(path);
    }

    /* renamed from: d */
    private void m1702d(TypedArray typedArray, XmlPullParser xmlPullParser) {
        if (C0138g.m744j(xmlPullParser, "pathData")) {
            String i = C0138g.m743i(typedArray, xmlPullParser, "pathData", 4);
            Path e = C0140b.m755e(i);
            if (e != null) {
                m1700b(e);
                return;
            }
            throw new InflateException("The path is null, which is created from " + i);
        } else if (!C0138g.m744j(xmlPullParser, "controlX1")) {
            throw new InflateException("pathInterpolator requires the controlX1 attribute");
        } else if (C0138g.m744j(xmlPullParser, "controlY1")) {
            float f = C0138g.m740f(typedArray, xmlPullParser, "controlX1", 0, 0.0f);
            float f2 = C0138g.m740f(typedArray, xmlPullParser, "controlY1", 1, 0.0f);
            boolean j = C0138g.m744j(xmlPullParser, "controlX2");
            if (j != C0138g.m744j(xmlPullParser, "controlY2")) {
                throw new InflateException("pathInterpolator requires both controlX2 and controlY2 for cubic Beziers.");
            } else if (!j) {
                m1701c(f, f2);
            } else {
                m1699a(f, f2, C0138g.m740f(typedArray, xmlPullParser, "controlX2", 2, 0.0f), C0138g.m740f(typedArray, xmlPullParser, "controlY2", 3, 0.0f));
            }
        } else {
            throw new InflateException("pathInterpolator requires the controlY1 attribute");
        }
    }

    public float getInterpolation(float f) {
        if (f <= 0.0f) {
            return 0.0f;
        }
        if (f >= 1.0f) {
            return 1.0f;
        }
        int length = this.f1503a.length - 1;
        int i = 0;
        while (length - i > 1) {
            int i2 = (i + length) / 2;
            if (f < this.f1503a[i2]) {
                length = i2;
            } else {
                i = i2;
            }
        }
        float[] fArr = this.f1503a;
        float f2 = fArr[length] - fArr[i];
        if (f2 == 0.0f) {
            return this.f1504b[i];
        }
        float[] fArr2 = this.f1504b;
        float f3 = fArr2[i];
        return (((f - fArr[i]) / f2) * (fArr2[length] - f3)) + f3;
    }
}
